package com.qmth.distributed.print.business.bean.params;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 用户登录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/23
 */
public class LoginParam extends ClientLoginParam {

    @ApiModelProperty(value = "验证码")
    private String code;

    @ApiModelProperty(value = "学校代码")
    @NotBlank(message = "学校代码不能为空")
    private String schoolCode;

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
